<?php
@session_start();
class Session{
    private $SessionName='';
   
    /**
     * Establece nombre de la session
     *
     * @param string $SessionName
     */
    function __construct(){
        //$this->SessionName=md5($SessionName.session_id());        
    }
/**
 * Establece valor de variable de session
 *
 * @param string $varName Nombre de variable
 * @param string $Value
 */
    function Set($varName,$Value){ 
        $_SESSION[$varName]=$Value;
    }

    /**
     * Obtiene valor de variabled e session
     *
     * @param string $varName Nommbre de la variable
     * @return string
     */
    function Get($varName){
        //if(isset($_SESSION[$this->SessionName][$varName]) && !empty($_SESSION[$this->SessionName][$varName]))
            return $_SESSION[$varName];
        //else return '';
    }
   
/**
 * Elimina la variable de session especificada
 *
 * @param string $varName
 */
    function Del($varName){
        unset($varName);
    }
/**
 * Destruye todas las sessiones de esta instancia
 *
 */
	function FuckSession(){
		session_unset();
		session_destroy();
	}
/**
 * Destruye todas las sessiones de esta instancia
 *
 */
	function isSession($varName){
		if( empty($_SESSION[$varName]) ){			  
		  $html = '<script>';
		  $html.= 'self.location="login.html";';
		  $html.= '</script>';
		  echo $html;	
		}
	}
}
?>